Bug 1192262 - peppy doesn't work with wxPython 3.0
Summary: peppy doesn't work with wxPython 3.0
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: peppy
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-13 01:50 UTC by Scott Talbert
Modified: 2017-03-15 13:46 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-15 13:46:36 UTC
Type: Bug


Attachments (Terms of Use)

Description Scott Talbert 2015-02-13 01:50:37 UTC
In F22/Rawhide, wxPython has been updated to 3.0.  Unfortunately, peppy no longer works:

[talbert@localhost ~]$ peppy
Traceback (most recent call last):
  File "/usr/bin/peppy", line 13, in <module>
    import peppy.main
  File "/usr/lib/python2.7/site-packages/peppy/main.py", line 11, in <module>
    from wx.lib.pubsub import Publisher
ImportError: cannot import name Publisher

It appears that this particular issue is due to an API change in the wx.lib.pubsub module.

Comment 1 Jan Kurik 2015-07-15 14:33:20 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 2 Fedora End Of Life 2016-11-24 11:26:35 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2017-02-28 09:40:32 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 4 Gwyn Ciesla 2017-03-15 13:46:36 UTC
No longer maintained upstream, retired.


Note You need to log in before you can comment on or make changes to this bug.